
server {
    listen       80;
    server_name  stat.gaore.com admin.stat.89yoo.com;
    root   /www/gaore/stat.gaore.com/public;
    index  index.php index.html index.htm;
    
    access_log  /var/log/nginx/nginx.stat.gaore.com.access.log  main;
    error_log  /var/log/nginx/nginx.stat.gaore.com.error.log  warn;
    
    location / {
        try_files $uri $uri/ @rewrite;
    }

    location @rewrite {
       #set $request_path $uri;
       rewrite ^/(.*)$ /index.php?_url=/$1;
    }  

    location ~ \.php(.*)$ {
        fastcgi_pass   host.docker.internal:9070;
        fastcgi_index  index.php;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
        fastcgi_param  PATH_INFO $fastcgi_path_info;
        fastcgi_param  SCRIPT_FILENAME  /scripts$fastcgi_script_name;
        fastcgi_param  GAORE_ENVIRONMENT  development;
        include        fastcgi_params;
    }

    # deny access to .htaccess files, if Apache's document root
    # concurs with nginx's one
    #
    location ~ /\.ht {
       deny  all;
    }
}

server {
    listen 80;
    server_name new-opgroup.gaore.com callback.api.89yoo.com callback.api.gaore.com;
    index index.php;
    root /www/gaore/new-opgroup.gaore.com/public;

    access_log  /var/log/nginx/nginx.new-opgroup.gaore.com.access.log  main;
    error_log  /var/log/nginx/nginx.new-opgroup.gaore.com.error.log  warn;
    
    location / {
        try_files $uri $uri/ @rewrite;
    }

    location @rewrite {
       #set $request_path $uri;
       rewrite ^/(.*)$ /index.php?_url=/$1;
    }  

    location ~ \.php(.*)$ {
        fastcgi_pass   host.docker.internal:9056;
        fastcgi_index  index.php;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
        fastcgi_param  PATH_INFO $fastcgi_path_info;
        fastcgi_param  PATH_TRANSLATED  $document_root$fastcgi_path_info;
        fastcgi_param  QUAN_DEBUG  On;
        fastcgi_param  GAORE_ENVIRONMENT  development;
        include        fastcgi_params;
    }

    # deny access to .htaccess files, if Apache's document root
    # concurs with nginx's one
    #
    location ~ /\.ht {
       deny  all;
    }
}

server {
    listen 80;
    server_name msdk.gaore.com;
    index index.php;
    root /www/gaore/msdk.gaore.com;

    access_log /var/log/nginx/nginx.msdk.gaore.com.access.log main;
    error_log /var/log/nginx/nginx.msdk.gaore.com.error.log warn;


    location ~ \.php(.*)$ {
        fastcgi_pass   host.docker.internal:9056;
        fastcgi_index  index.php;
        fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
        fastcgi_param  GAORE_ENVIRONMENT  development;
        include        fastcgi_params;
    }

    location ~ /\.ht {
       deny  all;
    }
}

# server{
#     listen 80;
#     server_name mkt.gaore.com mkt.api.gaore.com test.mkt.gaore.com;

#     access_log /var/log/nginx/nginx.mkt.gaore.com.access.log main;
#     error_log /var/log/nginx/nginx.mkt.gaore.com.error.log warn;

#     location / {
#         proxy_set_header Host $host;
#         proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
#         proxy_pass http://host.docker.internal:9090/;
#     }

# }

# server{
#     listen 80;
#     server_name admintest.gaore.com;

#     access_log /var/log/nginx/nginx.admintest.gaore.com.access.log main;
#     error_log /var/log/nginx/nginx.admintest.gaore.com.error.log warn;

#     location / {
#         proxy_set_header Host $host;
#         proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
#         proxy_pass http://host.docker.internal:8088/;
#     }

# }

# server{
#     listen 80;
#     server_name center-api.gaore.com;

#     access_log /var/log/nginx/nginx.center-api.gaore.com.access.log main;
#     error_log /var/log/nginx/nginx.center-api.gaore.com.error.log warn;

#     location / {
#         proxy_set_header Host $host;
#         proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
#         proxy_pass http://host.docker.internal:8899/;
#     }

# }

# server{
#     listen 80;
#     server_name sso.gaore.com;

#     access_log /var/log/nginx/nginx.sso.gaore.com.access.log main;
#     error_log /var/log/nginx/nginx.sso.gaore.com.error.log warn;

#     location / {
#         proxy_set_header Host $host;
#         proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
#         proxy_pass http://host.docker.internal:9098/;
#     }

# }